---
title: XPathResult.singleNodeValue
slug: Web/API/XPathResult/singleNodeValue
tags:
  - API
  - DOM XPath API
  - Property
  - Reference
  - XPath
  - XPathResult
---
<div>{{APIRef("DOM XPath")}}</div>

<p>The read-only <strong><code>singleNodeValue</code></strong> property of the {{domxref("XPathResult")}} interface returns a {{domxref("Node")}} value or <code>null</code> in case no node was matched of a result with {{domxref("XPathResult.resultType")}} being <code>ANY_UNORDERED_NODE_TYPE</code> or <code>FIRST_ORDERED_NODE_TYPE</code>.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var<em> value</em> = <em>result</em>.singleNodeValue;
</pre>

<h3 id="Return_Value">Return value</h3>

<p>The return value is the {{domxref("Node")}} value of the <code>XPathResult</code> returned by {{domxref("Document.evaluate()")}}.</p>

<h3 id="Exceptions">Exceptions</h3>

<h4 id="TYPE_ERR">TYPE_ERR</h4>

<p>In case {{domxref("XPathResult.resultType")}} is not <code>ANY_UNORDERED_NODE_TYPE</code> or <code>FIRST_ORDERED_NODE_TYPE</code>, an {{domxref("XPathException")}} of type <code>TYPE_ERR</code> is thrown.</p>

<h2 id="Example">Example</h2>

<p>The following example shows the use of the <code>singleNodeValue</code> property.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;div&gt;XPath example&lt;/div&gt;
&lt;div&gt;Tag name of the element having the text content 'XPath example': &lt;output&gt;&lt;/output&gt;&lt;/div&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">var xpath = "//*[text()='XPath example']";
var result = document.evaluate(xpath, document, null, XPathResult.<code>FIRST_ORDERED_NODE_TYPE</code>, null);
document.querySelector("output").textContent = result.singleNodeValue.localName;
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Example', 400, 70)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("DOM3 XPath", "xpath.html#XPathResult-singleNodeValue", "XPathResult.singleNodeValue")}}</td>
   <td>{{Spec2("DOM3 XPath")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.XPathResult.singleNodeValue")}}</p>
</div>
